clang-tools 8.0.0

Classes | Functions
clang::tidy::fuchsia Namespace Reference

## Classes
class | DefaultArgumentsCheck
| Default arguments are not allowed in declared or called functions. More...
class | FuchsiaModule
| This module is for Fuchsia-specific checks. More...
class | MultipleInheritanceCheck
| Mulitple implementation inheritance is discouraged. More...
class | OverloadedOperatorCheck
| Overloading operators is disallowed by the Fuchsia coding standard. More...
class | RestrictedIncludesPPCallbacks
class | RestrictSystemIncludesCheck
| Checks for allowed includes and suggests removal of any others. More...
class | StaticallyConstructedObjectsCheck
| Constructing global, non-trivial objects with static storage is disallowed, unless the object is statically initialized with a constexpr constructor or has no explicit constructor. More...
class | TrailingReturnCheck
| Functions that have trailing returns are disallowed, except for those using decltype specifiers and lambda with otherwise unutterable return types. More...
class | VirtualInheritanceCheck
| Defining classes with virtual inheritance is disallowed. More...

## Functions
static ClangTidyModuleRegistry::Add< FuchsiaModule > | X ("fuchsia-module", "Adds Fuchsia platform checks.")

## Function Documentation

## ◆ X()

static ClangTidyModuleRegistry::Add<FuchsiaModule> clang::tidy::fuchsia::X | ( | "fuchsia-module" | ,
|  | "Adds Fuchsia platform checks." |
| ) |  |
| static

Referenced by clang::tidy::fuchsia::FuchsiaModule::addCheckFactories().